#
# spec file for package wxQt-3_2
#
# Copyright (c) 2015 SUSE LINUX GmbH, Nuernberg, Germany.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via http://bugs.opensuse.org/
#


Name:           wxQt-3_2
%define base_name wxWidgets
%define tarball_name wxWidgets
Version:        3.1.0~git2097
Release:        0
%define wx_minor 3.1
%define wx_micro 3.1.0
# lang packages are exactly equal for all variants. Build it only once:
%if "%name" == "%base_name"
%define BUILD_LANG 1
%else
%define BUILD_LANG 0
%endif
Summary:        C++ Library for Cross-Platform Development
License:        GPL-2.0+
Group:          Development/Libraries/C and C++
Url:            http://www.wxwidgets.org/

Source:         %tarball_name-%version.tar.xz
Source2:        README.SUSE
Source5:        rpmlintrc
# This script is not used during build, but it makes possible to
# identify and backport wxPython fixes to wxWidgets.
Source6:        wxpython-mkdiff.sh
Source50:       baselibs.conf
Patch1:         soversion.diff
Patch2:         wxqt-compile.diff
BuildRoot:      %{_tmppath}/%{name}-%{version}-build
BuildRequires:  SDL-devel
BuildRequires:  autoconf
BuildRequires:  cppunit-devel
BuildRequires:  gcc-c++
BuildRequires:  gstreamer-0_10-devel
BuildRequires:  gstreamer-0_10-plugins-base-devel
%if 0%{?suse_version} >= 1220
BuildRequires:  libSM-devel
%else
%if 0%{?sles_version} >= 11
BuildRequires:  xorg-x11-libSM-devel
%endif
%endif
BuildRequires:  libexpat-devel
BuildRequires:  libjpeg-devel
BuildRequires:  libmspack-devel
BuildRequires:  libnotify-devel
BuildRequires:  libpng-devel
BuildRequires:  libtiff-devel
BuildRequires:  xz
BuildRequires:  zlib-devel
BuildRequires:  pkgconfig(Qt5Core) >= 5.2.1
BuildRequires:  pkgconfig(Qt5Gui) >= 5.2.1
BuildRequires:  pkgconfig(Qt5OpenGL) >= 5.2.1
BuildRequires:  pkgconfig(Qt5Test) >= 5.2.1
BuildRequires:  pkgconfig(Qt5Widgets) >= 5.2.1
BuildRequires:  pkgconfig(glu)

%description
wxWidgets is a free C++ library for cross-platform GUI.
With wxWidgets, you can create applications for different GUIs (GTK+,
Motif, MS Windows, MacOS X, Windows CE, GPE) from the same source code.

%package -n libwx_qtu_adv-suse2
Summary:        wxWidgets Library
Group:          System/Libraries

%description -n libwx_qtu_adv-suse2
Library for the wxWidgets cross-platform GUI.

%package -n libwx_qtu_aui-suse2
Summary:        wxWidgets Library
Group:          System/Libraries

%description -n libwx_qtu_aui-suse2
Library for the wxWidgets cross-platform GUI.

%package -n libwx_qtu_core-suse2
Summary:        wxWidgets Library
Group:          System/Libraries

%description -n libwx_qtu_core-suse2
Library for the wxWidgets cross-platform GUI.

%package -n libwx_qtu_gl-suse2
Summary:        wxWidgets Library
Group:          System/Libraries

%description -n libwx_qtu_gl-suse2
Library for the wxWidgets cross-platform GUI.

%package -n libwx_qtu_html-suse2
Summary:        wxWidgets Library
Group:          System/Libraries

%description -n libwx_qtu_html-suse2
Library for the wxWidgets cross-platform GUI.

%package -n libwx_qtu_media-suse2
Summary:        wxWidgets Library
Group:          System/Libraries

%description -n libwx_qtu_media-suse2
Library for the wxWidgets cross-platform GUI.

%package -n libwx_qtu_propgrid-suse2
Summary:        wxWidgets Library
Group:          System/Libraries

%description -n libwx_qtu_propgrid-suse2
Library for the wxWidgets cross-platform GUI.

%package -n libwx_qtu_qa-suse2
Summary:        wxWidgets Library
Group:          System/Libraries

%description -n libwx_qtu_qa-suse2
Library for the wxWidgets cross-platform GUI.

%package -n libwx_qtu_ribbon-suse2
Summary:        wxWidgets Library
Group:          System/Libraries

%description -n libwx_qtu_ribbon-suse2
Library for the wxWidgets cross-platform GUI.

%package -n libwx_qtu_richtext-suse2
Summary:        wxWidgets Library
Group:          System/Libraries

%description -n libwx_qtu_richtext-suse2
Library for the wxWidgets cross-platform GUI.

%package -n libwx_qtu_stc-suse2
Summary:        wxWidgets Library
Group:          System/Libraries

%description -n libwx_qtu_stc-suse2
Library for the wxWidgets cross-platform GUI.

%package -n libwx_qtu_xrc-suse2
Summary:        wxWidgets Library
Group:          System/Libraries

%description -n libwx_qtu_xrc-suse2
Library for the wxWidgets cross-platform GUI.

%package devel
Summary:        Everything needed for development with wxWidgets
Group:          Development/Libraries/C and C++
Requires:       libwx_baseu-suse2 = %version
Requires:       libwx_baseu_net-suse2 = %version
Requires:       libwx_baseu_xml-suse2 = %version
Requires:       libwx_qtu_adv-suse2 = %version
Requires:       libwx_qtu_aui-suse2 = %version
Requires:       libwx_qtu_core-suse2 = %version
Requires:       libwx_qtu_gl-suse2 = %version
Requires:       libwx_qtu_html-suse2 = %version
Requires:       libwx_qtu_media-suse2 = %version
Requires:       libwx_qtu_propgrid-suse2 = %version
Requires:       libwx_qtu_qa-suse2 = %version
Requires:       libwx_qtu_ribbon-suse2 = %version
Requires:       libwx_qtu_richtext-suse2 = %version
Requires:       libwx_qtu_stc-suse2 = %version
Requires:       libwx_qtu_xrc-suse2 = %version
#not fit for general use yet#Provides:       wxWidgets-devel = %version-%release
Conflicts:      otherproviders(wxWidgets-devel)
Provides:       wxQt-devel = %version-%release

%description devel
wxWidgets is a free C++ library for cross-platform GUI development.
With wxWidgets, you can create applications for different GUIs (GTK+,
Motif, MS Windows, MacOS X, Windows CE, GPE) from the same source code.

This package contains all files needed for developing with wxGTK3.

Note: wxWidgets variant devel packages are mutually exclusive. Please
read %_docdir/%name/README.SUSE to pick a correct variant.

%if %BUILD_LANG
%lang_package -n %base_name
%endif

%prep
echo "=== RPM build flags: WX_DEBUG=0%{?WX_DEBUG}"
%setup -q -n %tarball_name
%patch -P 1 -P 2 -p1
cp %{S:2} .

%build
autoconf -f -i
# NOTE: gnome-vfs is deprecated. Disabled for GTK3 build
#
# With 2.9.1:
# --enable-objc_uniquifying is relevant only for Cocoa
# --enable-accessibility is currently supported only in msw
# --enable-extended_rtti does not compile

export CXXFLAGS="-O0 -ggdb3"
export CFLAGS="-O0 -ggdb3"
%configure\
	--enable-vendor=suse \
	--with-qt \
	--disable-static\
	--enable-unicode\
	--with-opengl\
	--with-libmspack\
	--with-sdl\
	--enable-ipv6\
	--enable-mediactrl\
	--enable-optimise\
%if 0%{?WX_DEBUG}
	--enable-debug\
%else
	--disable-debug\
%endif
	--enable-stl\
	--enable-plugins
make %{?_smp_mflags}
%if %BUILD_LANG
cd locale
make allmo
cd ..
%endif

%install
make install DESTDIR="%buildroot"
# Drop libraries already supplied by another packages
rm -f "%buildroot/%_libdir"/libwx_baseu{,_net,_xml}-suse.so.2* \
	"%buildroot/%_libdir/wx/%wx_micro"/sound_sdlu-*.so
%if %BUILD_LANG
# Locales for MS Windows:
rm -Rf %buildroot/%_datadir/locale/*/LC_MESSAGES/wxmsw.mo
%find_lang wxstd
%else
rm -Rf %buildroot/%_datadir/locale
%endif

# HACK: Fix wx-config symlink (bug introduced in 2.9.4).
ln -sf $(echo %buildroot/%_libdir/wx/config/* | sed "s%%%buildroot%%%%") %buildroot/%_bindir/wx-config

%post   -n libwx_qtu_adv-suse2 -p /sbin/ldconfig
%postun -n libwx_qtu_adv-suse2 -p /sbin/ldconfig
%post   -n libwx_qtu_aui-suse2 -p /sbin/ldconfig
%postun -n libwx_qtu_aui-suse2 -p /sbin/ldconfig
%post   -n libwx_qtu_core-suse2 -p /sbin/ldconfig
%postun -n libwx_qtu_core-suse2 -p /sbin/ldconfig
%post   -n libwx_qtu_gl-suse2 -p /sbin/ldconfig
%postun -n libwx_qtu_gl-suse2 -p /sbin/ldconfig
%post   -n libwx_qtu_html-suse2 -p /sbin/ldconfig
%postun -n libwx_qtu_html-suse2 -p /sbin/ldconfig
%post   -n libwx_qtu_media-suse2 -p /sbin/ldconfig
%postun -n libwx_qtu_media-suse2 -p /sbin/ldconfig
%post   -n libwx_qtu_propgrid-suse2 -p /sbin/ldconfig
%postun -n libwx_qtu_propgrid-suse2 -p /sbin/ldconfig
%post   -n libwx_qtu_qa-suse2 -p /sbin/ldconfig
%postun -n libwx_qtu_qa-suse2 -p /sbin/ldconfig
%post   -n libwx_qtu_ribbon-suse2 -p /sbin/ldconfig
%postun -n libwx_qtu_ribbon-suse2 -p /sbin/ldconfig
%post   -n libwx_qtu_richtext-suse2 -p /sbin/ldconfig
%postun -n libwx_qtu_richtext-suse2 -p /sbin/ldconfig
%post   -n libwx_qtu_stc-suse2 -p /sbin/ldconfig
%postun -n libwx_qtu_stc-suse2 -p /sbin/ldconfig
%post   -n libwx_qtu_xrc-suse2 -p /sbin/ldconfig
%postun -n libwx_qtu_xrc-suse2 -p /sbin/ldconfig

%if %BUILD_LANG

%files lang -f wxstd.lang
%endif

%files -n libwx_qtu_adv-suse2
%defattr (-,root,root)
%_libdir/libwx_qtu_adv-suse.so.2*

%files -n libwx_qtu_aui-suse2
%defattr (-,root,root)
%_libdir/libwx_qtu_aui-suse.so.2*

%files -n libwx_qtu_core-suse2
%defattr (-,root,root)
%_libdir/libwx_qtu_core-suse.so.2*

%files -n libwx_qtu_gl-suse2
%defattr (-,root,root)
%_libdir/libwx_qtu_gl-suse.so.2*

%files -n libwx_qtu_html-suse2
%defattr (-,root,root)
%_libdir/libwx_qtu_html-suse.so.2*

%files -n libwx_qtu_media-suse2
%defattr (-,root,root)
%_libdir/libwx_qtu_media-suse.so.2*

%files -n libwx_qtu_propgrid-suse2
%defattr (-,root,root)
%_libdir/libwx_qtu_propgrid-suse.so.2*

%files -n libwx_qtu_qa-suse2
%defattr (-,root,root)
%_libdir/libwx_qtu_qa-suse.so.2*

%files -n libwx_qtu_ribbon-suse2
%defattr (-,root,root)
%_libdir/libwx_qtu_ribbon-suse.so.2*

%files -n libwx_qtu_richtext-suse2
%defattr (-,root,root)
%_libdir/libwx_qtu_richtext-suse.so.2*

%files -n libwx_qtu_stc-suse2
%defattr (-,root,root)
%_libdir/libwx_qtu_stc-suse.so.2*

%files -n libwx_qtu_xrc-suse2
%defattr (-,root,root)
%_libdir/libwx_qtu_xrc-suse.so.2*

%files devel
%defattr (-,root,root)
# Complete documentation is available in the docs packages.
%doc docs/*.txt README.SUSE
%_bindir/wxrc
%_bindir/wxrc-%wx_minor
%_bindir/*-config*
%_datadir/aclocal
%_datadir/bakefile
%_includedir/wx-%wx_minor
%_libdir/*.so
%dir %_libdir/wx
%_libdir/wx/config
%_libdir/wx/include

%changelog
